# Language should be added in the same order as in the language id
imports:
  - { resource: "EXT:drbeckmann_setup/Configuration/Routes/Default.yaml" }
  - { resource: "EXT:drbeckmann_products/Configuration/Routes/Default.yaml" }
  - { resource: "EXT:drbeckmann_api/Configuration/Routes/Default.yaml" }
rootPageId: 201
base: 'https://www.dr-beckmann.com/'
baseVariants:
  -
    base: 'https://qa.dr-beckmann.com/'
    condition: 'applicationContext == "Production/Integration"'
  -
    base: 'https://dev.dr-beckmann.com/'
    condition: 'applicationContext == "Development/Test"'
  -
    base: '%env(SITE_CONFIG_BASE_URL)%/'
    condition: 'applicationContext == "%env(SITE_CONFIG_APPLICATION_CONTEXT)%"'
errorHandling:
  -
    errorCode: 404
    errorHandler: Page
    errorContentSource: 't3://page?uid=253'
languages:
  -
    title: Master (not visible)
    enabled: false
    languageId: 0
    base: /master/
    typo3Language: en
    locale: en_US.utf8
    navigationTitle: English
    hreflang: en
    direction: ltr
    fallbackType: free
    flag: global
    pimProductCategoryStoragePid: 1662
    pimProductStoragePid: 257
    pimFaqStoragePid: 256
  -
    title: German
    enabled: true
    languageId: 1
    base: /de-de/
    locale: de_DE.utf8
    navigationTitle: German
    hreflang: de-DE
    direction: ltr
    fallbackType: free
    flag: de
    pimProductStoragePid: 257
  -
    title: French
    enabled: true
    languageId: 2
    base: /fr-fr/
    locale: fr_FR.utf8
    navigationTitle: French
    hreflang: fr-FR
    direction: ltr
    fallbackType: free
    flag: fr
    pimProductStoragePid: 134
  -
    title: Portuguese
    enabled: true
    languageId: 3
    base: /pt-pt/
    locale: pt_PT.utf8
    navigationTitle: Portuguese
    hreflang: pt-PT
    direction: ltr
    flag: pt
    fallbackType: free
    pimProductStoragePid: 746
  -
    title: Spain
    enabled: true
    languageId: 4
    base: /es-es/
    locale: es_ES.utf8
    navigationTitle: Spain
    hreflang: es-ES
    direction: ltr
    flag: es
    fallbackType: free
    pimProductStoragePid: 1836
#  -
#    title: Swiss German
#    enabled: true
#    languageId: 4
#    base: /de-ch/
#    locale: de_CH.utf8
#    navigationTitle: Swiss DE
#    hreflang: de-CH
#    direction: ltr
#    flag: ch
#    fallbackType: free
#  -
#    title: Swiss French
#    enabled: true
#    languageId: 5
#    base: /fr-ch/
#    locale: fr_CH.utf8
#    navigationTitle: Swiss FR
#    hreflang: fr-CH
#    direction: ltr
#    flag: fr
#    fallbackType: free
#    fallbacks: '4'
routeEnhancers:
  ProductDetail:
    limitToPages:
      - 227
websiteTitle: ''
